> For the complete documentation index, see [llms.txt](https://docs.yarnspinner.dev/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.yarnspinner.dev/2.0/api/csharp/yarn.unity/yarn.unity.variablestoragebehaviour/yarn.unity.variablestoragebehaviour.contains.md).

# Contains(string)

Method in [VariableStorageBehaviour](/2.0/api/csharp/yarn.unity/yarn.unity.variablestoragebehaviour.md)

## Summary

Returns a boolean value representing if a particular variable is inside the variable storage.

```csharp
public abstract bool Contains(string variableName);
```

## Parameters

| Name                  | Description                            |
| --------------------- | -------------------------------------- |
| `string` variableName | The name of the variable to check for. |

## Returns

`true` if this variable storage contains a value for the variable named `variableName` ; `false` otherwise.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.yarnspinner.dev/2.0/api/csharp/yarn.unity/yarn.unity.variablestoragebehaviour/yarn.unity.variablestoragebehaviour.contains.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
